routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('registeruser');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::resource('/registeruser','RegisteruserController');
Route::get('/delete/{id}', 'RegisteruserController@destroy')->name('delete');

app/User.php
<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password','image','dob','city','gender'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function hobby()
    {
        return $this->hasMany('App\UserHobbie','user_id','id');
    }
}

app/UserHobbie.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class UserHobbie extends Model
{
    protected $table = "user_hobbies";
    protected $fillable = ['user_id','hobbies'];
    
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }
}

app/Http/Controllers/RegisteruserController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use File;
use App\User;
use App\UserHobbie;
class RegisteruserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $user = User::with('hobby')->paginate(5);
        
        return view('index',compact('user'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('auth.register');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'name' => ['required', 'string', 'max:255'],
            'email' => ['required', 'string', 'email', 'max:255', 'unique:users'],
            'password' => ['required', 'string', 'min:8', 'confirmed'],
            'image' => ['required'],
            'dob' => ['required'],
            'gender' => ['required'],
            'city' => ['required'],
            'hobbies' => ['required'],
        ]);

        $user = $request->all();
        //dd($user);
        $image = $request->file('image');
        $destinationPath = public_path('/images');
        $new_name = rand().'.'.$image->getClientOriginalExtension(); 
        $image->move($destinationPath, $new_name);
        
        $user['image'] = $new_name;
        $usersave = User::create($user);

        foreach($request->get('hobbies') as $hobby)
        {
            UserHobbie::create([
                'user_id' => $usersave->id,
                'hobbies' => $hobby
            ]);
        }

        return redirect()->route('registeruser.index');
    
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $user = User::find($id);
        return view('edit',compact('user'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            'name' => ['required', 'string', 'max:255'],
            'email' => ['required', 'string', 'email', 'max:255'],
            'dob' => ['required'],
            'gender' => ['required'],
            'city' => ['required'],
        ]);

        $user = $request->all();
            //dd($user);
        
        
        $userupdate = User::find($id);
        $userupdate->name = $request->input('name');
        $userupdate->email = $request->input('email');
        $userupdate->dob = $request->input('dob');
        $userupdate->gender = $request->input('gender');
        $userupdate->city = $request->input('city');
        
        if ($request->file('image')!=null)
        {
            $image = $request->file('image');
        $destinationPath = public_path('/images');
        $new_name = rand().'.'.$image->getClientOriginalExtension(); 
        $image->move($destinationPath, $new_name);
            $userupdate->image = $new_name;
        }
        else
        {
            $userupdate->image = $request->input('image-copy');
        }
        $userupdate->save();
       
        return redirect()->route('registeruser.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $user = User::find($id);
        $user->delete();
        return redirect()->route('registeruser.index');
    }
}

resources/views/edit.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Edit') }}</div>

                <div class="card-body">
                    <form method="POST" action="{{ route('registeruser.update',$user->id) }}" enctype="multipart/form-data">
                        @csrf
                        @method('PUT')
                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Name') }}</label>

                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control @error('name') is-invalid @enderror" name="name" value="{{ $user->name }}" required autocomplete="name" autofocus>

                                @error('name')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('E-Mail Address') }}</label>

                            <div class="col-md-6">
                                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ $user->email }}" required autocomplete="email">

                                @error('email')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        

                        <div class="form-group row">
                            <label for="profile_pic" class="col-md-4 col-form-label text-md-right">{{ __('Profile Pic') }}</label>

                            <div class="col-md-6">
                                <input type="file" id="image" class="form-control @error('image') is-invalid @enderror" name="image">
                                <input type="hidden" id="image-copy" class="form-control " name="image-copy" value="{{$user->image}}">
                                @error('image')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="dob" class="col-md-4 col-form-label text-md-right">{{ __('Date of birth') }}</label>

                            <div class="col-md-6">
                                <input id="dob" type="date" class="form-control @error('dob') is-invalid @enderror" name="dob" value="{{ $user->dob }}" required autocomplete="name" autofocus>

                                @error('dob')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="gender" class="col-md-4 col-form-label text-md-right">{{ __('Gender') }}</label>

                            <div class="col-md-6 form-control">
                                <input type="radio" id="male" name="gender" value="male" {{ ($user->gender=="male")? "checked" : "" }}>
                                <label for="html">Male</label>
                                <input type="radio" id="female" name="gender" value="female" {{ ($user->gender=="female")? "checked" : "" }}>
                                <label for="css">Female</label><br>

                                @error('gender')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="city" class="col-md-4 col-form-label text-md-right">{{ __('City') }}</label>

                            <div class="col-md-6">
                            <select name="city" id="city" class="form-control">
                                <option value="amd" {{ $user->city == "amd" ? 'selected' : '' }}>Ahmedabad</option>
                                <option value="raj" {{ $user->city == "raj" ? 'selected' : '' }}>Rajkot</option>
                                <option value="amr" {{ $user->city == "amr" ? 'selected' : '' }}>Amreli</option>
                                <option value="srt" {{ $user->city == "srt" ? 'selected' : '' }}>Surat</option>
                            </select>

                                @error('city')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <?php   $hb = App\UserHobbie::where('user_id','=',$user->id)->select('hobbies')->get(); ?>

                        <div class="form-group row">
                            <label for="hobbies" class="col-md-4 col-form-label text-md-right">{{ __('Hobbies') }}</label>

                            <div class="col-md-6 form-control">
                            <input type="checkbox" name="hobbies[]" value="chess" {{  ($hb == "chess" &&  $hb == "cricket" && $hb == "singin" ? ' checked' : '')}} > Chess &nbsp;&nbsp;
                            <input type="checkbox" name="hobbies[]" value="cricket" {{  ($hb == "chess" &&  $hb == "cricket" && $hb == "singing" ? ' checked' : '')}}> Cricket &nbsp;&nbsp;
                            <input type="checkbox" name="hobbies[]" value="singing" {{  ($hb == "chess" &&  $hb == "cricket" && $hb == "singing" ? ' checked' : '')}}> Singing

                                @error('hobbies')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row mb-0">
                            <div class="col-md-6 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    {{ __('Edit') }}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Dashboard</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    You are logged in!
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/index.blade.php
<!DOCTYPE html>
<html>
<head>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css">
<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}
</style>
</head>
<body>

<h2>Register User</h2>
<a class="button primary add" style="text-align: right;" href="{{route('registeruser.create')}}">Add</a>
<table>
  <tr>
    <th>Name</th>
    <th>Email</th>
    <th>Image</th>
    <th>Gender</th>
    <th>City</th>
    <th>Hobby</th>
    <th>Action</th>
  </tr>
  <tr>
    @foreach($user as $users)
    <td>{{ $users->name }}</td>
    <td>{{ $users->email }}</td>
    <td><img src="{{ asset('images') . '/' . $users->image }}" alt="" class="image" style="width: 80px;height: 80px">
        </td>
    <td>{{ $users->gender }}</td>
    <td>{{ $users->city }}</td>
    <?php   $hb = App\UserHobbie::where('user_id','=',$users->id)->pluck('hobbies'); ?>
    <td>{{ $hb }}</td>
    <td><a class="button primary edit" href="{{route('registeruser.edit',$users->id)}}">Edit</a>
    <a class="button primary delete" href="{{route('delete',$users->id)}}">Delete</a></td>
    @endforeach
  </tr>
 
</table>
{{ $user->links() }}
</body>
</html>

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

               
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>